package app.utils;

import org.springframework.stereotype.Component;

import static app.utils.CommonUtils.WebUtils.addNorToEnglishNameMap;
import static app.utils.constants.Constants.DM_OWNED_BY;
import static app.utils.constants.Constants.SUB_FILE;
import static app.utils.constants.N5ResourceMappings.*;

/**
 * Created by tsodring
 * <p>
 * nikita implements the Noark 5 data model with english attributes e.g. 'title'
 * instead of 'tittel'. This is because we hope that others may find nikita
 * useful for their language and can build out an approach for their language.
 * <p>
 * Most of the time there wasn't an issue, but when
 * serialising/deserialising we simply put in the correct attribute name, but
 * when it came to handling OData requests and developing a OData parser, we
 * ended a better approach. While this approach still is suboptimal (it can't
 * handle multiple languages), it is what we landed on. Further it was taken
 * out to an own component in order to have a more SOLID approach to classes, as
 * opposed to singular gigantic classes that do too much.
 * <p>
 * Note: Not all attributes are mapped yet.
 */
@Component
public class InternalNameTranslator {

    /**
     * Create a mapping of Norwegian names to english names for the Noark
     * domain model.
     */
    public void populateTranslatedNames() {

        addNorToEnglishNameMap
                ("eier", "owned_by", DM_OWNED_BY);

        // Add entity name mappings
        addNorToEnglishNameMap
                (ADMINISTRATIVE_UNIT,
                        ADMINISTRATIVE_UNIT_ENG,
                        ADMINISTRATIVE_UNIT_OBJECT);
        addNorToEnglishNameMap
                (ADMINISTRATIVE_UNIT_FIELD,
                        ADMINISTRATIVE_UNIT_FIELD_ENG,
                        ADMINISTRATIVE_UNIT_FIELD_ENG_OBJECT);
        addNorToEnglishNameMap
                (ASSOCIATED_WITH_RECORD_AS_CODE,
                        ASSOCIATED_WITH_RECORD_AS_CODE_ENG,
                        ASSOCIATED_WITH_RECORD_AS_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (ASSOCIATED_WITH_RECORD_AS_CODE_NAME,
                        ASSOCIATED_WITH_RECORD_AS_CODE_NAME_ENG,
                        ASSOCIATED_WITH_RECORD_AS_CODE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (AUTHOR,
                        AUTHOR_ENG,
                        AUTHOR_ENG_OBJECT);
        addNorToEnglishNameMap
                (BSM_DEF,
                        BSM_DEF_ENG,
                        BSM_DEF_OBJECT);
        addNorToEnglishNameMap
                (CASE_FILE,
                        CASE_FILE_ENG,
                        CASE_FILE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_STATUS_CODE,
                        CASE_STATUS_CODE_ENG,
                        CASE_STATUS_CODE_OBJECT);
        addNorToEnglishNameMap
                (CASE_STATUS_CODE_NAME,
                        CASE_STATUS_CODE_NAME_ENG,
                        CASE_STATUS_CODE_NAME_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFIED_CODE,
                        CLASSIFIED_CODE_ENG,
                        CLASSIFIED_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CODE,
                        CODE_ENG,
                        CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT,
                        COMMENT_ENG,
                        COMMENT_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERSION,
                        CONVERSION_ENG,
                        CONVERSION_ENG_OBJECT);
        addNorToEnglishNameMap
                (COORDINATE_SYSTEM,
                        COORDINATE_SYSTEM_ENG,
                        COORDINATE_SYSTEM_ENG_OBJECT);
        addNorToEnglishNameMap
                (COUNTRY,
                        COUNTRY_ENG,
                        COUNTRY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CROSS_REFERENCE,
                        CROSS_REFERENCE_ENG,
                        CROSS_REFERENCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DELETION,
                        DELETION_ENG,
                        DELETION_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION,
                        DOCUMENT_DESCRIPTION_ENG,
                        DOCUMENT_DESCRIPTION_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW,
                        DOCUMENT_FLOW_ENG,
                        DOCUMENT_FLOW_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_MEDIUM,
                        DOCUMENT_MEDIUM_ENG,
                        DOCUMENT_MEDIUM_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT,
                        DOCUMENT_OBJECT_ENG,
                        DOCUMENT_OBJECT_ENG_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE,
                        ELECTRONIC_SIGNATURE_ENG,
                        ELECTRONIC_SIGNATURE_ENG_OBJECT);
        addNorToEnglishNameMap
                (EVENT_DATE,
                        EVENT_DATE_ENG,
                        EVENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (EVENT_TYPE,
                        EVENT_TYPE_ENG,
                        EVENT_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (FILE,
                        FILE_ENG,
                        FILE_ENG_OBJECT);
        addNorToEnglishNameMap
                (FILE_TYPE,
                        FILE_TYPE_ENG,
                        FILE_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (FLOW_STATUS,
                        FLOW_STATUS_ENG,
                        FLOW_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (FONDS_CREATOR,
                        FONDS_CREATOR_ENG,
                        FONDS_CREATOR_ENG_OBJECT);
        addNorToEnglishNameMap
                (FONDS,
                        FONDS_ENG,
                        FONDS_ENG_OBJECT);
        addNorToEnglishNameMap
                (FROM_SYSTEM_ID,
                        FROM_SYSTEM_ID_ENG,
                        FROM_SYSTEM_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (KEYWORD,
                        KEYWORD_ENG,
                        KEYWORD_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_FILE,
                        MEETING_FILE_ENG,
                        MEETING_FILE_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_PARTICIPANT,
                        MEETING_PARTICIPANT_ENG,
                        MEETING_PARTICIPANT_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_RECORD,
                        MEETING_REGISTRATION_ENG,
                        MEETING_REGISTRATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (RECORD,
                        RECORD_ENG,
                        RECORD_ENG_OBJECT);
        addNorToEnglishNameMap
                (RECORD_ID,
                        RECORD_ID_ENG,
                        RECORD_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_TYPE,
                        REFERENCE_TYPE_ENG,
                        REFERENCE_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY,
                        REGISTRY_ENTRY_ENG,
                        REGISTRY_ENTRY_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING,
                        SCREENING_ENG,
                        SCREENING_ENG_OBJECT);
        addNorToEnglishNameMap
                (SECONDARY_CLASSIFICATION,
                        SECONDARY_CLASSIFICATION_ENG,
                        SECONDARY_CLASSIFICATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES,
                        SERIES_ENG,
                        SERIES_ENG_OBJECT);
        addNorToEnglishNameMap
                (SIGN_OFF,
                        SIGN_OFF_ENG,
                        SIGN_OFF_ENG_OBJECT);
        addNorToEnglishNameMap
                (STORAGE_LOCATION,
                        STORAGE_LOCATION_ENG,
                        STORAGE_LOCATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (SUB_FONDS,
                        SUB_FONDS_ENG,
                        SUB_FONDS_ENG_OBJECT);
        addNorToEnglishNameMap
                (TO_SYSTEM_ID,
                        TO_SYSTEM_ID_ENG,
                        TO_SYSTEM_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (USER,
                        USER_ENG,
                        USER_ENG_OBJECT);

        // Add attribute name mappings
        addNorToEnglishNameMap
                (ACCESS_CATEGORY,
                        ACCESS_CATEGORY_ENG,
                        ACCESS_CATEGORY_ENG_OBJECT);
        addNorToEnglishNameMap
                (ACCESS_RESTRICTION,
                        ACCESS_RESTRICTION_ENG,
                        ACCESS_RESTRICTION_ENG_OBJECT);
        addNorToEnglishNameMap
                (ACCESS_RESTRICTION_CODE,
                        ACCESS_RESTRICTION_CODE_ENG,
                        ACCESS_RESTRICTION_CODE_OBJECT);
        addNorToEnglishNameMap
                (ACCESS_RESTRICTION_CODE_NAME,
                        ACCESS_RESTRICTION_CODE_NAME_ENG,
                        ACCESS_RESTRICTION_CODE_NAME_OBJECT);
        addNorToEnglishNameMap
                (ADDRESS_LINE_1,
                        ADDRESS_LINE_1_ENG,
                        ADDRESS_LINE_1_ENG_OBJECT);
        addNorToEnglishNameMap
                (ADDRESS_LINE_2,
                        ADDRESS_LINE_2_ENG,
                        ADDRESS_LINE_2_ENG_OBJECT);
        addNorToEnglishNameMap
                (ADDRESS_LINE_3,
                        ADDRESS_LINE_3_ENG,
                        ADDRESS_LINE_3_ENG_OBJECT);
        addNorToEnglishNameMap
                (ADMINISTRATIVE_UNIT_NAME,
                        ADMINISTRATIVE_UNIT_NAME_ENG,
                        ADMINISTRATIVE_UNIT_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (ADMINISTRATIVE_UNIT_PARENT_REFERENCE,
                        ADMINISTRATIVE_UNIT_PARENT_REFERENCE_ENG,
                        ADMINISTRATIVE_UNIT_PARENT_REFERENCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (ADMINISTRATIVE_UNIT_STATUS,
                        ADMINISTRATIVE_UNIT_STATUS_ENG,
                        ADMINISTRATIVE_UNIT_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (ASSOCIATED_WITH_RECORD_AS,
                        ASSOCIATED_WITH_RECORD_AS_ENG,
                        ASSOCIATED_WITH_RECORD_AS_ENG_OBJECT);
        addNorToEnglishNameMap
                (BUILDING_CHANGE_NUMBER,
                        BUILDING_CHANGE_NUMBER_ENG,
                        BUILDING_CHANGE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (BUILDING_NUMBER,
                        BUILDING_NUMBER_ENG,
                        BUILDING_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (BUSINESS_ADDRESS,
                        BUSINESS_ADDRESS_ENG,
                        BUSINESS_ADDRESS_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_DATE,
                        CASE_DATE_ENG,
                        CASE_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_HANDLER,
                        CASE_HANDLER_ENG,
                        CASE_HANDLER_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_LOANED_DATE,
                        CASE_LOANED_DATE_ENG,
                        CASE_LOANED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_LOANED_TO,
                        CASE_LOANED_TO_ENG,
                        CASE_LOANED_TO_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART,
                        PART_ENG,
                        PART_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_ID,
                        PART_ID_ENG,
                        PART_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_NAME,
                        PART_NAME_ENG,
                        PART_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_ROLE_FIELD,
                        PART_ROLE_FIELD_ENG,
                        PART_ROLE_FIELD_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_RECORDS_MANAGEMENT_UNIT,
                        CASE_RECORDS_MANAGEMENT_UNIT_ENG,
                        CASE_RECORDS_MANAGEMENT_UNIT_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_RESPONSIBLE,
                        CASE_RESPONSIBLE_ENG,
                        CASE_RESPONSIBLE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_SEQUENCE_NUMBER,
                        CASE_SEQUENCE_NUMBER_ENG,
                        CASE_SEQUENCE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_STATUS,
                        CASE_STATUS_ENG,
                        CASE_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (CASE_YEAR,
                        CASE_YEAR_ENG,
                        CASE_YEAR_ENG_OBJECT);
        addNorToEnglishNameMap
                (CHANGE_LOG,
                        CHANGE_LOG_ENG,
                        CHANGE_LOG_OBJECT);
        addNorToEnglishNameMap
                (DELETE_LOG,
                        DELETE_LOG_ENG,
                        DELETE_LOG_OBJECT); 
        addNorToEnglishNameMap
                (CREATE_LOG,
                        CREATE_LOG_ENG,
                        CREATE_LOG_OBJECT);
        addNorToEnglishNameMap
                (READ_LOG,
                        READ_LOG_ENG,
                        READ_LOG_OBJECT);
        addNorToEnglishNameMap
                (CHANGED_BY,
                        CHANGED_BY_ENG,
                        CHANGED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CHANGED_DATE,
                        CHANGED_DATE_ENG,
                        CHANGED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASS,
                        CLASS_ENG,
                        CLASS_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASS_ID,
                        CLASS_ID_ENG,
                        CLASS_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_BY,
                        CLASSIFICATION_BY_ENG,
                        CLASSIFICATION_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION,
                        CLASSIFICATION_ENG,
                        CLASSIFICATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_DATE,
                        CLASSIFICATION_DATE_ENG,
                        CLASSIFICATION_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_DOWNGRADED_BY,
                        CLASSIFICATION_DOWNGRADED_BY_ENG,
                        CLASSIFICATION_DOWNGRADED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_DOWNGRADED_DATE,
                        CLASSIFICATION_DOWNGRADED_DATE_ENG,
                        CLASSIFICATION_DOWNGRADED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_SYSTEM,
                        CLASSIFICATION_SYSTEM_ENG,
                        CLASSIFICATION_SYSTEM_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_SYSTEM_TYPE,
                        CLASSIFICATION_SYSTEM_TYPE_ENG,
                        CLASSIFICATION_SYSTEM_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFICATION_TYPE,
                        CLASSIFICATION_TYPE_ENG,
                        CLASSIFICATION_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CLASSIFIED,
                        CLASSIFIED_ENG,
                        CLASSIFIED_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_DATE,
                        COMMENT_DATE_ENG,
                        COMMENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_REGISTERED_BY,
                        COMMENT_REGISTERED_BY_ENG,
                        COMMENT_REGISTERED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_TEXT,
                        COMMENT_TEXT_ENG,
                        COMMENT_TEXT_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_TIME,
                        COMMENT_TIME_ENG,
                        COMMENT_TIME_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_TYPE,
                        COMMENT_TYPE_ENG,
                        COMMENT_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_TYPE_CODE,
                        COMMENT_TYPE_CODE_ENG,
                        COMMENT_TYPE_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (COMMENT_TYPE_CODE_NAME,
                        COMMENT_TYPE_CODE_NAME_ENG,
                        COMMENT_TYPE_CODE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONTACT_INFORMATION,
                        CONTACT_INFORMATION_ENG,
                        CONTACT_INFORMATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONTACT_PERSON,
                        CONTACT_PERSON_ENG,
                        CONTACT_PERSON_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERSION_COMMENT,
                        CONVERSION_COMMENT_ENG,
                        CONVERSION_COMMENT_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERSION_TOOL,
                        CONVERSION_TOOL_ENG,
                        CONVERSION_TOOL_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERTED_BY,
                        CONVERTED_BY_ENG,
                        CONVERTED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERTED_DATE,
                        CONVERTED_DATE_ENG,
                        CONVERTED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERTED_FROM_FORMAT,
                        CONVERTED_FROM_FORMAT_ENG,
                        CONVERTED_FROM_FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap
                (CONVERTED_TO_FORMAT,
                        CONVERTED_TO_FORMAT_ENG,
                        CONVERTED_TO_FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART,
                        CORRESPONDENCE_PART_ENG,
                        CORRESPONDENCE_PART_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART_INTERNAL,
                        CORRESPONDENCE_PART_INTERNAL_ENG,
                        CORRESPONDENCE_PART_INTERNAL_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART_NAME,
                        CORRESPONDENCE_PART_NAME_ENG,
                        CORRESPONDENCE_PART_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART_PERSON,
                        CORRESPONDENCE_PART_PERSON_ENG,
                        CORRESPONDENCE_PART_PERSON_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART_TYPE,
                        CORRESPONDENCE_PART_TYPE_ENG,
                        CORRESPONDENCE_PART_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (CORRESPONDENCE_PART_UNIT,
                        CORRESPONDENCE_PART_UNIT_ENG,
                        CORRESPONDENCE_PART_UNIT_ENG_OBJECT);
        addNorToEnglishNameMap
                (COUNTRY_CODE,
                        COUNTRY_CODE_ENG,
                        COUNTRY_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (COUNTY_NUMBER,
                        COUNTY_NUMBER_ENG,
                        COUNTY_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (CREATED_BY,
                        CREATED_BY_ENG,
                        CREATED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (CREATED_DATE,
                        CREATED_DATE_ENG,
                        CREATED_DATE_ENG_OBJECT);

        addNorToEnglishNameMap
                (CROSS_REFERENCE,
                        CROSS_REFERENCE_ENG,
                        CROSS_REFERENCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DELETION_BY,
                        DELETION_BY_ENG,
                        DELETION_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (DELETION_DATE,
                        DELETION_DATE_ENG,
                        DELETION_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DELETION_TYPE,
                        DELETION_TYPE_ENG,
                        DELETION_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DESCRIPTION,
                        DESCRIPTION_ENG,
                        DESCRIPTION_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_AUTHORITY,
                        DISPOSAL_AUTHORITY_ENG,
                        DISPOSAL_AUTHORITY_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_DATE,
                        DISPOSAL_DATE_ENG,
                        DISPOSAL_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_DECISION,
                        DISPOSAL_DECISION_ENG,
                        DISPOSAL_DECISION_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL,
                        DISPOSAL_ENG,
                        DISPOSAL_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_PRESERVATION_TIME,
                        DISPOSAL_PRESERVATION_TIME_ENG,
                        DISPOSAL_PRESERVATION_TIME_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_UNDERTAKEN_BY,
                        DISPOSAL_UNDERTAKEN_BY_ENG,
                        DISPOSAL_UNDERTAKEN_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_UNDERTAKEN_DATE,
                        DISPOSAL_UNDERTAKEN_DATE_ENG,
                        DISPOSAL_UNDERTAKEN_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DISPOSAL_UNDERTAKEN,
                        DISPOSAL_UNDERTAKEN_ENG,
                        DISPOSAL_UNDERTAKEN_ENG_OBJECT);
        addNorToEnglishNameMap
                (D_NUMBER_FIELD, D_NUMBER_FIELD_ENG, D_NUMBER_FIELD_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_ASSOCIATED_BY,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_BY_ENG,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_ASSOCIATED_DATE,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_DATE_ENG,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_ASSOCIATED_WITH_RECORD_AS,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_WITH_RECORD_AS_ENG,
                        DOCUMENT_DESCRIPTION_ASSOCIATED_WITH_RECORD_AS_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_DOCUMENT_NUMBER,
                        DOCUMENT_DESCRIPTION_DOCUMENT_NUMBER_ENG,
                        DOCUMENT_DESCRIPTION_DOCUMENT_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_DOCUMENT_TYPE,
                        DOCUMENT_DESCRIPTION_DOCUMENT_TYPE_ENG,
                        DOCUMENT_DESCRIPTION_DOCUMENT_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_STATUS,
                        DOCUMENT_DESCRIPTION_STATUS_ENG,
                        DOCUMENT_DESCRIPTION_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_DESCRIPTION_EXTERNAL_REFERENCE,
                        DOCUMENT_DESCRIPTION_EXTERNAL_REFERENCE_ENG,
                        DOCUMENT_DESCRIPTION_EXTERNAL_REFERENCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW,
                        DOCUMENT_FLOW_ENG,
                        DOCUMENT_FLOW_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_COMMENT,
                        DOCUMENT_FLOW_FLOW_COMMENT_ENG,
                        DOCUMENT_FLOW_FLOW_COMMENT_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_FROM,
                        DOCUMENT_FLOW_FLOW_FROM_ENG,
                        DOCUMENT_FLOW_FLOW_FROM_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_RECEIVED_DATE,
                        DOCUMENT_FLOW_FLOW_RECEIVED_DATE_ENG,
                        DOCUMENT_FLOW_FLOW_RECEIVED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_SENT_DATE,
                        DOCUMENT_FLOW_FLOW_SENT_DATE_ENG,
                        DOCUMENT_FLOW_FLOW_SENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_STATUS,
                        DOCUMENT_FLOW_FLOW_STATUS_ENG,
                        DOCUMENT_FLOW_FLOW_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_FLOW_FLOW_TO,
                        DOCUMENT_FLOW_FLOW_TO_ENG,
                        DOCUMENT_FLOW_FLOW_TO_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_MEDIUM_CODE,
                        DOCUMENT_MEDIUM_CODE_ENG,
                        DOCUMENT_MEDIUM_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_MEDIUM_CODE_NAME,
                        DOCUMENT_MEDIUM_CODE_NAME_ENG,
                        DOCUMENT_MEDIUM_CODE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_CHECKSUM_ALGORITHM,
                        DOCUMENT_OBJECT_CHECKSUM_ALGORITHM_ENG,
                        DOCUMENT_OBJECT_CHECKSUM_ALGORITHM_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_CHECKSUM,
                        DOCUMENT_OBJECT_CHECKSUM_ENG,
                        DOCUMENT_OBJECT_CHECKSUM_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_FILE_NAME,
                        DOCUMENT_OBJECT_FILE_NAME_ENG,
                        DOCUMENT_OBJECT_FILE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_FILE_SIZE,
                        DOCUMENT_OBJECT_FILE_SIZE_ENG,
                        DOCUMENT_OBJECT_FILE_SIZE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_FORMAT_DETAILS,
                        DOCUMENT_OBJECT_FORMAT_DETAILS_ENG,
                        DOCUMENT_OBJECT_FORMAT_DETAILS_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_FORMAT,
                        DOCUMENT_OBJECT_FORMAT_ENG,
                        DOCUMENT_OBJECT_FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_MIME_TYPE,
                        DOCUMENT_OBJECT_MIME_TYPE_ENG,
                        DOCUMENT_OBJECT_MIME_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_REFERENCE_DOCUMENT_FILE,
                        DOCUMENT_OBJECT_REFERENCE_DOCUMENT_FILE_ENG,
                        DOCUMENT_OBJECT_REFERENCE_DOCUMENT_FILE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_VARIANT_FORMAT,
                        DOCUMENT_OBJECT_VARIANT_FORMAT_ENG,
                        DOCUMENT_OBJECT_VARIANT_FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_OBJECT_VERSION_NUMBER,
                        DOCUMENT_OBJECT_VERSION_NUMBER_ENG,
                        DOCUMENT_OBJECT_VERSION_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_STATUS,
                        DOCUMENT_STATUS_ENG,
                        DOCUMENT_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_STATUS_CODE,
                        DOCUMENT_STATUS_CODE_ENG,
                        DOCUMENT_STATUS_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_STATUS_CODE_NAME,
                        DOCUMENT_STATUS_CODE_NAME_ENG,
                        DOCUMENT_STATUS_CODE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_TYPE,
                        DOCUMENT_TYPE_ENG,
                        DOCUMENT_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_TYPE_CODE,
                        DOCUMENT_TYPE_CODE_ENG,
                        DOCUMENT_TYPE_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (DOCUMENT_TYPE_CODE_NAME,
                        DOCUMENT_TYPE_CODE_NAME_ENG,
                        DOCUMENT_TYPE_CODE_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE_NAME,
                        ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE_NAME_ENG,
                        ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE_NAME_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE,
                        ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE_ENG,
                        ELECTRONIC_SIGNATURE_SECURITY_LEVEL_CODE_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_VERIFIED_BY,
                        ELECTRONIC_SIGNATURE_VERIFIED_BY_ENG,
                        ELECTRONIC_SIGNATURE_VERIFIED_BY_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_VERIFIED_DATE,
                        ELECTRONIC_SIGNATURE_VERIFIED_DATE_ENG,
                        ELECTRONIC_SIGNATURE_VERIFIED_DATE_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_VERIFIED_CODE_NAME,
                        ELECTRONIC_SIGNATURE_VERIFIED_CODE_NAME_ENG,
                        ELECTRONIC_SIGNATURE_VERIFIED_CODE_NAME_OBJECT);
        addNorToEnglishNameMap
                (ELECTRONIC_SIGNATURE_VERIFIED_CODE,
                        ELECTRONIC_SIGNATURE_VERIFIED_CODE_ENG,
                        ELECTRONIC_SIGNATURE_VERIFIED_CODE_OBJECT);
        addNorToEnglishNameMap
                (EMAIL_ADDRESS,
                        EMAIL_ADDRESS_ENG,
                        EMAIL_ADDRESS_ENG_OBJECT);
        addNorToEnglishNameMap
                (EVENT_LOG,
                        EVENT_LOG_ENG,
                        EVENT_LOG_OBJECT);
        addNorToEnglishNameMap
                (FILE_ID,
                        FILE_ID_ENG,
                        FILE_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (FILE_PUBLIC_TITLE,
                        FILE_PUBLIC_TITLE_ENG,
                        FILE_PUBLIC_TITLE_ENG_OBJECT);
        addNorToEnglishNameMap
                (FINALISED_BY,
                        FINALISED_BY_ENG,
                        FINALISED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (FINALISED_DATE,
                        FINALISED_DATE_ENG,
                        FINALISED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (FONDS_CREATOR_ID,
                        FONDS_CREATOR_ID_ENG,
                        FONDS_CREATOR_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (FONDS_CREATOR_NAME,
                        FONDS_CREATOR_NAME_ENG,
                        FONDS_CREATOR_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (FONDS_STATUS,
                        FONDS_STATUS_ENG,
                        FONDS_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (FOREIGN_ADDRESS,
                        FOREIGN_ADDRESS_ENG,
                        FOREIGN_ADDRESS_ENG_OBJECT);
        addNorToEnglishNameMap
                (FORMAT,
                        FORMAT_ENG,
                        FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap
                (HOLDING_NUMBER,
                        HOLDING_NUMBER_ENG,
                        HOLDING_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (LAST_MODIFIED_BY,
                        LAST_MODIFIED_BY_ENG,
                        LAST_MODIFIED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (LAST_MODIFIED_DATE,
                        LAST_MODIFIED_DATE_ENG,
                        LAST_MODIFIED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (LEASE_NUMBER,
                        LEASE_NUMBER_ENG,
                        LEASE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_FILE_TYPE,
                        MEETING_FILE_TYPE_ENG,
                        MEETING_FILE_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_PARTICIPANT_FUNCTION,
                        MEETING_PARTICIPANT_FUNCTION_ENG,
                        MEETING_PARTICIPANT_FUNCTION_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_REGISTRATION_STATUS,
                        MEETING_REGISTRATION_STATUS_ENG,
                        MEETING_REGISTRATION_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (MEETING_REGISTRATION_TYPE,
                        MEETING_REGISTRATION_TYPE_ENG,
                        MEETING_REGISTRATION_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (MOBILE_TELEPHONE_NUMBER,
                        MOBILE_TELEPHONE_NUMBER_ENG,
                        MOBILE_TELEPHONE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (MUNICIPALITY_NUMBER,
                        MUNICIPALITY_NUMBER_ENG,
                        MUNICIPALITY_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (NAME,
                        NAME_ENG,
                        NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (NATIONAL_IDENTIFIER,
                        NATIONAL_IDENTIFIER_ENG,
                        NATIONAL_IDENTIFIER_OBJECT);
        addNorToEnglishNameMap
                (NEW_VALUE,
                        NEW_VALUE_ENG,
                        NEW_VALUE_ENG_OBJECT);
        addNorToEnglishNameMap
                (OLD_VALUE,
                        OLD_VALUE_ENG,
                        OLD_VALUE_ENG_OBJECT);
        addNorToEnglishNameMap
                (ORGANISATION_NUMBER,
                        ORGANISATION_NUMBER_ENG,
                        ORGANISATION_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (OUTDATED,
                        OUTDATED_ENG,
                        OUTDATED_ENG_OBJECT);
        addNorToEnglishNameMap
                (PARENT_CLASS,
                        PARENT_CLASS_ENG,
                        PARENT_CLASS_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_PERSON,
                        PART_PERSON_ENG,
                        PART_PERSON_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_PERSON_FIELD,
                        PART_PERSON_ENG,
                        PART_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_UNIT,
                        PART_UNIT_ENG,
                        PART_UNIT_ENG_OBJECT);
        addNorToEnglishNameMap
                (PART_UNIT_FIELD,
                        PART_UNIT_ENG,
                        PART_ENG_OBJECT);
        addNorToEnglishNameMap
                (PLAN_IDENTIFICATION,
                        PLAN_IDENTIFICATION_ENG,
                        PLAN_IDENTIFICATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (POSTAL_ADDRESS,
                        POSTAL_ADDRESS_ENG,
                        POSTAL_ADDRESS_ENG_OBJECT);
        addNorToEnglishNameMap
                (POSTAL_NUMBER,
                        POSTAL_NUMBER_ENG,
                        POSTAL_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (POSTAL_TOWN,
                        POSTAL_TOWN_ENG,
                        POSTAL_TOWN_ENG_OBJECT);
        addNorToEnglishNameMap
                (POST_CODE,
                        POST_CODE_ENG,
                        POST_CODE_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_APPROVED_DATE,
                        PRECEDENCE_APPROVED_DATE_ENG,
                        PRECEDENCE_APPROVED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_AUTHORITY,
                        PRECEDENCE_AUTHORITY_ENG,
                        PRECEDENCE_AUTHORITY_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_DATE,
                        PRECEDENCE_DATE_ENG,
                        PRECEDENCE_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE,
                        PRECEDENCE_ENG,
                        PRECEDENCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_PRECEDENCE_STATUS,
                        PRECEDENCE_PRECEDENCE_STATUS_ENG,
                        PRECEDENCE_PRECEDENCE_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_REFERENCE_APPROVED_BY,
                        PRECEDENCE_REFERENCE_APPROVED_BY_ENG,
                        PRECEDENCE_REFERENCE_APPROVED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (PRECEDENCE_SOURCE_OF_LAW,
                        PRECEDENCE_SOURCE_OF_LAW_ENG,
                        PRECEDENCE_SOURCE_OF_LAW_ENG_OBJECT);
        addNorToEnglishNameMap
                (RECORD_ARCHIVED_BY, RECORD_ARCHIVED_BY_ENG,
                        RECORD_ARCHIVED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (RECORD_ARCHIVED_DATE,
                        RECORD_ARCHIVED_DATE_ENG,
                        RECORD_ARCHIVED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (RECORD_NOTE,
                        RECORD_NOTE_ENG,
                        RECORD_NOTE_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_ADMINISTRATIVE_UNIT,
                        REFERENCE_ADMINISTRATIVE_UNIT_ENG,
                        REFERENCE_ADMINISTRATIVE_UNIT_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_ARCHIVE_UNIT,
                        REFERENCE_ARCHIVE_UNIT_ENG,
                        REFERENCE_ARCHIVE_UNIT_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_CASE_HANDLER,
                        REFERENCE_CASE_HANDLER_ENG,
                        REFERENCE_CASE_HANDLER_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_CHANGED_BY,
                        REFERENCE_CHANGED_BY_ENG,
                        REFERENCE_CHANGED_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_METADATA,
                        REFERENCE_METADATA_ENG,
                        REFERENCE_METADATA_ENG_OBJECT);
        addNorToEnglishNameMap
                (REFERENCE_SERIES,
                        REFERENCE_SERIES_ENG,
                        REFERENCE_SERIES_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_DATE,
                        REGISTRY_ENTRY_DATE_ENG,
                        REGISTRY_ENTRY_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_DOCUMENT_DATE,
                        REGISTRY_ENTRY_DOCUMENT_DATE_ENG,
                        REGISTRY_ENTRY_DOCUMENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_DUE_DATE,
                        REGISTRY_ENTRY_DUE_DATE_ENG,
                        REGISTRY_ENTRY_DUE_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_NUMBER_OF_ATTACHMENTS,
                        REGISTRY_ENTRY_NUMBER_OF_ATTACHMENTS_ENG,
                        REGISTRY_ENTRY_NUMBER_OF_ATTACHMENTS_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_NUMBER,
                        REGISTRY_ENTRY_NUMBER_ENG,
                        REGISTRY_ENTRY_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_RECEIVED_DATE,
                        REGISTRY_ENTRY_RECEIVED_DATE_ENG,
                        REGISTRY_ENTRY_RECEIVED_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_RECORD_FREEDOM_ASSESSMENT_DATE,
                        REGISTRY_ENTRY_RECORD_FREEDOM_ASSESSMENT_DATE_ENG,
                        REGISTRY_ENTRY_RECORD_FREEDOM_ASSESSMENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_SENT_DATE,
                        REGISTRY_ENTRY_SENT_DATE_ENG,
                        REGISTRY_ENTRY_SENT_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_SEQUENCE_NUMBER,
                        REGISTRY_ENTRY_SEQUENCE_NUMBER_ENG,
                        REGISTRY_ENTRY_SEQUENCE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_STATUS,
                        REGISTRY_ENTRY_STATUS_ENG,
                        REGISTRY_ENTRY_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_TYPE,
                        REGISTRY_ENTRY_TYPE_ENG,
                        REGISTRY_ENTRY_TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (REGISTRY_ENTRY_YEAR,
                        REGISTRY_ENTRY_YEAR_ENG,
                        REGISTRY_ENTRY_YEAR_ENG_OBJECT);
        addNorToEnglishNameMap
                (RESIDING_ADDRESS,
                        RESIDING_ADDRESS_ENG,
                        RESIDING_ADDRESS_ENG_OBJECT);
        addNorToEnglishNameMap
                (RIGHT,
                        RIGHT_ENG,
                        RIGHT_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_ACCESS_RESTRICTION,
                        SCREENING_ACCESS_RESTRICTION_ENG,
                        SCREENING_ACCESS_RESTRICTION_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_AUTHORITY,
                        SCREENING_AUTHORITY_ENG,
                        SCREENING_AUTHORITY_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_SCREENING_DOCUMENT,
                        SCREENING_SCREENING_DOCUMENT_ENG,
                        SCREENING_SCREENING_DOCUMENT_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_DOCUMENT_CODE,
                        SCREENING_DOCUMENT_CODE_ENG,
                        SCREENING_DOCUMENT_CODE_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_DOCUMENT_CODE_NAME,
                        SCREENING_DOCUMENT_CODE_NAME_ENG,
                        SCREENING_DOCUMENT_CODE_NAME_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_DURATION,
                        SCREENING_DURATION_ENG,
                        SCREENING_DURATION_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_EXPIRES_DATE,
                        SCREENING_EXPIRES_DATE_ENG,
                        SCREENING_EXPIRES_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SCREENING_SCREENING_METADATA,
                        SCREENING_SCREENING_METADATA_ENG,
                        SCREENING_SCREENING_METADATA_ENG_OBJECT);
        addNorToEnglishNameMap
                (SECONDARY_CLASSIFICATION_SYSTEM,
                        SECONDARY_CLASSIFICATION_SYSTEM_ENG,
                        SECONDARY_CLASSIFICATION_SYSTEM_ENG_OBJECT);
        addNorToEnglishNameMap
                (SECTION_NUMBER,
                        SECTION_NUMBER_ENG,
                        SECTION_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES,
                        SERIES_ENG,
                        SERIES_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES_END_DATE,
                        SERIES_END_DATE_ENG,
                        SERIES_END_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES_PRECURSOR,
                        SERIES_PRECURSOR_ENG,
                        SERIES_PRECURSOR_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES_START_DATE,
                        SERIES_START_DATE_ENG,
                        SERIES_START_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES_STATUS,
                        SERIES_STATUS_ENG,
                        SERIES_STATUS_ENG_OBJECT);
        addNorToEnglishNameMap
                (SERIES_SUCCESSOR,
                        SERIES_SUCCESSOR_ENG,
                        SERIES_SUCCESSOR_ENG_OBJECT);
        addNorToEnglishNameMap
                (SHORT_NAME,
                        SHORT_NAME_ENG,
                        SHORT_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (SIGN_OFF_BY,
                        SIGN_OFF_BY_ENG,
                        SIGN_OFF_BY_ENG_OBJECT);
        addNorToEnglishNameMap
                (SIGN_OFF_DATE,
                        SIGN_OFF_DATE_ENG,
                        SIGN_OFF_DATE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SIGN_OFF_METHOD,
                        SIGN_OFF_METHOD_ENG,
                        SIGN_OFF_METHOD_ENG_OBJECT);
        addNorToEnglishNameMap
                (SOCIAL_SECURITY_NUMBER,
                        SOCIAL_SECURITY_NUMBER_ENG,
                        SOCIAL_SECURITY_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (SOURCE,
                        SOURCE_ENG,
                        SOURCE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SUB_CLASS,
                        SUB_CLASS_ENG,
                        SUB_CLASS_ENG_OBJECT);
        addNorToEnglishNameMap
                (SUB_FILE,
                        SUB_FILE_ENG,
                        SUB_FILE_ENG_OBJECT);
        addNorToEnglishNameMap
                (SUB_FONDS,
                        SUB_FONDS_ENG,
                        SUB_FONDS_ENG_OBJECT);
        addNorToEnglishNameMap
                (SUB_HOLDING_NUMBER,
                        SUB_HOLDING_NUMBER_ENG,
                        SUB_HOLDING_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (SYSTEM_ID,
                        SYSTEM_ID_ENG,
                        SYSTEM_ID_ENG_OBJECT);
        addNorToEnglishNameMap
                (TELEPHONE_NUMBER,
                        TELEPHONE_NUMBER_ENG,
                        TELEPHONE_NUMBER_ENG_OBJECT);
        addNorToEnglishNameMap
                (TITLE,
                        TITLE_ENG,
                        TITLE_ENG_OBJECT);
        addNorToEnglishNameMap
                (TYPE,
                        TYPE_ENG,
                        TYPE_ENG_OBJECT);
        addNorToEnglishNameMap
                (USER_NAME,
                        USER_NAME_ENG,
                        USER_NAME_ENG_OBJECT);
        addNorToEnglishNameMap
                (USER,
                        USER_ENG,
                        USER_ENG_OBJECT);
        addNorToEnglishNameMap
                (UNIT_IDENTIFIER,
                        UNIT_IDENTIFIER_ENG,
                        UNIT_IDENTIFIER_ENG_OBJECT);
        addNorToEnglishNameMap
                (VARIANT_FORMAT,
                        VARIANT_FORMAT_ENG,
                        VARIANT_FORMAT_ENG_OBJECT);
        addNorToEnglishNameMap(X, X_ENG, X_ENG_OBJECT);
        addNorToEnglishNameMap(Y, Y_ENG, Y_ENG_OBJECT);
        addNorToEnglishNameMap(Z, Z_ENG, Z_ENG_OBJECT);
    }
}
